Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6150 - Initial "CPU States" in top are misleading
Summary: Initial "CPU States" in top are misleading
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: procps
Version: 6.1
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-20 17:17 UTC by James Manning
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-03 19:43:08 UTC


Attachments (Terms of Use)

Description James Manning 1999-10-20 17:17:30 UTC
For a heavily pegged system (4 CPU's, 4 gzip -9's) the
the "CPU States" line of top right after running states:

CPU states:  0.8% user,  0.2% system,  0.0% nice,  0.0% idle

on my RH 6.0 system, the initial line was:

CPU states:  0.6% user,  0.2% system,  0.7% nice,  0.5% idle

regardless of how pegged or idle the machine was...

I'd rather the states say -.-% or something more reflective
of the "unknown" status... or just not display that line
until accurate numbers are available.  Could an initial
poll be done to fill in at least reasonable numbers?

Comment 1 Michael K. Johnson 1999-11-03 19:43:59 UTC
The "initial poll" is what fills in those urealistic numbers in the
first place.  I don't think that removing them the first time through
makes sense, as plenty of top's other numbers are the same way -- the
first shot is a snapshot, but many of the numbers depend on top's
history.


Note You need to log in before you can comment on or make changes to this bug.